<div class="timeline">
    {#each $events as event}
    <Event {event} {endAt} />
    {/each}
    <Chart />
</div>

<script>
    import { AppStore } from './App.store';
    import * as RouterService from './Router/RouterService';

    export default {
        store: () => AppStore,
        oncreate() {
            this.store.set({ playerId: RouterService.getActivatedRoute().params.playerId });
        },
        computed: {
            endAt: ({ $events = [] }) => $events
                .map(e => e.when)
                .reduce((acc, curr) => Math.max(acc, curr), 0)
        },
        components: {
            Event: './TimelineEvent',
            Chart: './Chart'
        }
    }
</script>